package org.example.Entity.Control.Container;

import org.example.Entity.Control.Fields.Field;

import java.util.Map;

public class Image extends Field {

    public Image(Map<String, Object> row) {
        super(row);
        this.defaultXtype = "img";
    }

    private String _src;

    public String getSrc() {
        if (_src == null || _src.isEmpty()) {
            _src = getDefaultval() != null ? getDefaultval() + "" : "";
        }
        return _src;
    }

    public void setSrc(String src) {
        this._src = src;
    }

}